From ea00691c85d501a27d47496dc76511a2cbcf208d Mon Sep 17 00:00:00 2001
From: Brian Weaver <weaver.299@osu.edu>
Date: Thu, 17 Jun 2021 15:22:38 -0400
Subject: [PATCH] Add query_all.sh

---
 scripts/query_all.sh | 89 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 89 insertions(+)
 create mode 100644 scripts/query_all.sh

diff --git a/scripts/query_all.sh b/scripts/query_all.sh
new file mode 100644
index 0000000000..79436bfd20
--- /dev/null
+++ b/scripts/query_all.sh
@@ -0,0 +1,89 @@
+#!/usr/bin/env bash
+
+# if [[ -z `which parallel` || -z `which tmux` || -z `which gdate` ]]; then
+#   echo "Either 'parallel' or 'tmux' is not installed...";
+#   if [[ -z `which brew` ]]; then
+#     echo "Homebrew is NOT installed. Homebrew needs to be installed to proceed.";
+#     echo "Visit https://https://brew.sh/ for more information.";
+#     exit 1;
+#   else
+#     echo "Attempting to install parallel, tmux, coreutils...";
+#     brew install parallel tmux coreutils;
+#   fi
+# fi
+
+if [[ -z $1 ]]; then
+  echo; echo "Usage: $0 \"query\"";
+  echo; echo;
+  exit 1;
+fi
+
+
+mysql-pantheon ()
+{
+    if [[ -z $1 ]]; then
+        echo "Usage: mysql-pantheon <site.env>";
+        echo;
+        return;
+    fi;
+    terminus env:wake $1;
+    `terminus connection:info --fields=mysql_command --format=string $1;`
+}
+
+# ENV=$1;
+# shift;
+
+# if [[ $ENV == 'test' || $ENV == 'live' ]]; then
+#   if [[ -z $1 ]]; then
+#     while [[ -z $DEPLOY_MSG ]]; do
+#       echo;
+#       read -p "Enter deployment message: " DEPLOY_MSG;
+#       echo;
+#     done
+#   else
+#     DEPLOY_MSG=$@;
+#   fi
+# fi
+
+# NOW=`date +%Y%m%d_%H%M`;
+# LOG_DIR="deploy-$ENV-$NOW";
+# mkdir $LOG_DIR;
+# echo "LOG_DIR: $LOG_DIR";
+
+export -f mysql-pantheon;
+
+SITES=$(terminus org:site:list ohio-state-arts-and-sciences --upstream=b9baf7af-eb2c-4db5-81e6-32d3d9042572 --fields=name --format=string | sort);
+
+parallel --tag "echo \"$1\" | mysql-pantheon {}.live" ::: $SITES
+
+# for site in $SITES; do
+#   echo "=== $site ===";
+
+#   # echo "select nid, cid, name from webform_component where type = 'file' and extra like '%html%';" | `terminus connection:info --fields=mysql_command --format=string ${site}.live;`
+
+#   echo "$1" | mysql-pantheon ${site}.live;
+
+#   echo;echo;
+# done
+
+
+# parallel --delay 0.1 --tag "terminus remote:drush {}.live pmi $1 -- --format=table --fields=status,extension --no-field-labels 2>/dev/null" ::: $SITES
+
+# echo $SITES | parallel --delay 0.1 "terminus remote:drush {prohibition}.live pmpi piwik_reports -- --format=table --fields=status,name --no-field-labels 2>/dev/null";
+
+
+# parallel --delay 0.1 --tmuxpane --fg -a $LOG_DIR/site_list.txt "scripts/deploy-site-env.sh {}.$ENV $DEPLOY_MSG 2>&1 | tee $LOG_DIR/{}.log";
+
+# echo; echo; echo "Sleeping for 11 seconds..."; echo; echo;
+# sleep 11;
+
+# reset;
+
+# wait;
+
+# cd $LOG_DIR;
+# wc -l * | sort -n | tee line-counts.txt;
+# cd ..;
+
+# echo; echo; echo "Sleeping for 11 more seconds..."; echo; echo;
+# sleep 11;
-- 
GitLab